EventHttpRequest
EventHttpRequest::cancel
EventHttpRequest
PHP Manual

# EventHttpRequest::addHeader

(PECL event >= 1.4.0-beta)

EventHttpRequest::addHeader — Adds an HTTP header to the headers of the request

### 説明

public bool EventHttpRequest::addHeader ( string `$key` , string `$value` , int `$type` )

Adds an HTTP header to the headers of the request.

### パラメータ

`key`

  Header name.

`value`

  Header value.

`type`

  One of EventHttpRequest::*_HEADER constants .

### 返り値

Returns `TRUE` on success. Otherwise `FALSE`.

### 参考

- EventHttpRequest::removeHeader() - Removes an HTTP header from the headers of the request

EventHttpRequest
EventHttpRequest::cancel
EventHttpRequest
PHP Manual